Last Comment Bug 476422 - JavaScript exception when clicking "File" menu of "Write:" window while composing message
: JavaScript exception when clicking "File" menu of "Write:" window while compo...
Status: VERIFIED FIXED
: regression
Product: MailNews Core
Classification: Components
Component: Composition (show other bugs)
: Trunk
: All All
: -- normal (vote)
: ---
Assigned To: neil@parkwaycc.co.uk
:
Mentors:
: 476421 519566 (view as bug list)
Depends on:
Blocks: 464914
  Show dependency treegraph
 
Reported: 2009-02-02 01:17 PST by IU
Modified: 2009-11-16 19:10 PST (History)
6 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
beta1-fixed
.6-fixed


Attachments
Proposed patch (2.55 KB, patch)
2009-10-01 05:11 PDT, neil@parkwaycc.co.uk
philringnalda: review+
Details | Diff | Splinter Review

Description IU 2009-02-02 01:17:03 PST
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9) Gecko/2008052906 Firefox/3.0
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.1b3pre) Gecko/20090201 Lightning/1.0pre

When in message "Write" mode (i.e. composing a message or viewing a draft), if
the File menu of the "Write:" (compose) window is clicked, the following
JavaScript exception is generated:

Error: [Exception... "'JavaScript component does not have a method named:
"handleEvent"' when calling method: [nsIDOMEventListener::handleEvent]" 
nsresult: "0x80570030 (NS_ERROR_XPC_JSOBJECT_HAS_NO_FUNCTION_NAMED)"  location:
"<unknown>"  data: no]

This is a regression starting with: Mozilla/5.0 (Windows; U; Windows NT 5.1;
en-US; rv:1.9.1b3pre) Gecko/20081230 Shredder/3.0b2pre


Reproducible: Always

Steps to Reproduce:
1. Click to compose a new message (or open a draft message)
2. Click the "File" menu of that "Write:" (compose) window
3. Observe the exception in Error Console
Comment 1 rsx11m 2009-02-04 05:33:10 PST
*** Bug 476421 has been marked as a duplicate of this bug. ***
Comment 2 rsx11m 2009-02-04 05:35:38 PST
I'm seeing the same with Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.1b3pre) Gecko/20090203 SeaMonkey/2.0a3pre as soon as opening the
"File" menu in the composition window, thus a Core issue - confirming.

There is also bug 449038 for Firefox, not specific to any menu though.
Comment 3 IU 2009-02-10 15:54:15 PST
I'm now getting this when I click on any of the menus.
Comment 4 Magnus Melin 2009-02-18 13:55:44 PST
Linux too.
Comment 5 Phil Ringnalda (:philor) 2009-09-29 16:33:59 PDT
*** Bug 519566 has been marked as a duplicate of this bug. ***
Comment 6 Henry N. 2009-09-29 16:54:48 PDT
Confirming: On all menus of composer. Windows and Linux. German (de) and English (en_us).

Mozilla/5.0 (Windows; U; Windows NT 5.1; de; rv:1.9.1.4pre) Gecko/20090915 Thunderbird/3.0b4

Build Identifier: Mozilla/5.0 (X11; U; Linux i686 (x86_64); de; rv:1.9.1.4pre)
Gecko/20090915 Thunderbird/3.0b4

Mozilla/5.0 (X11; U; Linux i686 (x86_64); en-US; rv:1.9.1.4pre) Gecko/20090915 Thunderbird/3.0b4
Comment 7 Henry N. 2009-09-29 17:39:48 PDT
Regression between two nightly builds found.

Last non bug:
Mozilla/5.0 (X11; U; Linux i686 (x86_64); en-US; rv:1.9.1b3pre) Gecko/20081229 Shredder/3.0b2pre
http://ftp.mozilla.org/pub/mozilla.org/thunderbird/nightly/2008/12/2008-12-29-03-comm-central/thunderbird-3.0b2pre.en-US.linux-i686.tar.bz2


First it bugged:
Mozilla/5.0 (X11; U; Linux i686 (x86_64); en-US; rv:1.9.1b3pre) Gecko/20081230 Shredder/3.0b2pre
http://ftp.mozilla.org/pub/mozilla.org/thunderbird/nightly/2008/12/2008-12-30-03-comm-central/thunderbird-3.0b2pre.en-US.linux-i686.tar.bz2
Comment 8 Phil Ringnalda (:philor) 2009-09-30 23:04:35 PDT
Neil: I backed out the patch from bug 464914, and the exception goes away. Other than that, the only potentially interesting thing I saw was that it's Windows/Linux only. Apparently the Mac menu code isn't firing whatever at us when we're not there to deal with it.
Comment 9 neil@parkwaycc.co.uk 2009-10-01 04:13:29 PDT
Must be some side-effect of the way Compose clones its autocomplete widgets.
But you're right about the menu code, the Mac code is completely different.
Comment 10 neil@parkwaycc.co.uk 2009-10-01 05:11:19 PDT
Created attachment 404019 [details] [diff] [review]
Proposed patch

I turned the event listener into its own object so it can detect when the autocomplete element goes away and remove itself automagically.
Comment 11 Phil Ringnalda (:philor) 2009-10-04 16:38:48 PDT
Comment on attachment 404019 [details] [diff] [review]
Proposed patch

Seems reasonable to me.
Comment 12 neil@parkwaycc.co.uk 2009-10-08 16:09:41 PDT
Pushed changeset abe269bb23ef to mozilla-central

Pushed changeset 6757787f9499 to releases/mozilla-1.9.2

Pushed changeset be773dd62e6b to releases/mozilla-1.9.1
Comment 13 IU 2009-10-12 21:35:49 PDT
Verified fixed.  Thanks

Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.1.5pre) Gecko/20091012 Lightning/1.0pre
Comment 14 IU 2009-11-16 17:04:45 PST
This has regressed again.  Bug exists in Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.1.5) Gecko/20091116 Shredder/3.0.1pre

Don't yet have time to search for a regression window.  Should a new bug be filed?
Comment 15 IU 2009-11-16 19:10:46 PST
Filed Bug 529202

Note You need to log in before you can comment on or make changes to this bug.